package com.ruoyi.goods.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 子菜单对象 t_canteen_submenu
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public class TCanteenSubmenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 子菜单id */
    private Long submenuId;

    /** 主菜单id */
    @Excel(name = "主菜单id")
    private Long menuId;

    /** 供应商id */
    @Excel(name = "供应商id")
    private Long supplierId;

    /** 菜单类型 */
    @Excel(name = "菜单类型")
    private String menuType;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 商品单价 */
    @Excel(name = "商品单价")
    private String goodsPrice;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private Long goodsNum;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 状态 0 ：正常 ；2：删除 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setSubmenuId(Long submenuId) 
    {
        this.submenuId = submenuId;
    }

    public Long getSubmenuId() 
    {
        return submenuId;
    }

    public void setMenuId(Long menuId) 
    {
        this.menuId = menuId;
    }

    public Long getMenuId() 
    {
        return menuId;
    }

    public void setSupplierId(Long supplierId) 
    {
        this.supplierId = supplierId;
    }

    public Long getSupplierId() 
    {
        return supplierId;
    }

    public void setMenuType(String menuType) 
    {
        this.menuType = menuType;
    }

    public String getMenuType() 
    {
        return menuType;
    }

    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }

    public void setGoodsPrice(String goodsPrice) 
    {
        this.goodsPrice = goodsPrice;
    }

    public String getGoodsPrice() 
    {
        return goodsPrice;
    }

    public void setGoodsNum(Long goodsNum) 
    {
        this.goodsNum = goodsNum;
    }

    public Long getGoodsNum() 
    {
        return goodsNum;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    public void setCreaterCode(Long createrCode) 
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode() 
    {
        return createrCode;
    }

    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() 
    {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("submenuId", getSubmenuId())
            .append("menuId", getMenuId())
            .append("supplierId", getSupplierId())
            .append("menuType", getMenuType())
            .append("goodsName", getGoodsName())
            .append("goodsPrice", getGoodsPrice())
            .append("goodsNum", getGoodsNum())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
